﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HotelApp
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class dbHotelEntities : DbContext
    {
        public dbHotelEntities()
            : base("name=dbHotelEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<BookingTable> BookingTables { get; set; }
        public virtual DbSet<CustomerTable> CustomerTables { get; set; }
        public virtual DbSet<HotelInfoTable> HotelInfoTables { get; set; }
        public virtual DbSet<HotelStayTable> HotelStayTables { get; set; }
        public virtual DbSet<PaymentTable> PaymentTables { get; set; }
        public virtual DbSet<RoleTable> RoleTables { get; set; }
        public virtual DbSet<RoomTable> RoomTables { get; set; }
        public virtual DbSet<SettlementTable> SettlementTables { get; set; }
        public virtual DbSet<sysdiagram> sysdiagrams { get; set; }
        public virtual DbSet<TypeAccommodationTable> TypeAccommodationTables { get; set; }
        public virtual DbSet<TypeComfortTable> TypeComfortTables { get; set; }
        public virtual DbSet<UserTable> UserTables { get; set; }
    }
}
